from setuptools import setup, find_packages

setup(
    name="model2graph",  # 包的名字，建议使用全小写并用连字符分隔
    version="0.1.0",  # 包的版本号
    author="anonymous",  # 作者
    author_email="anonymous@gmail.com",  # 作者邮箱
    description="A package to convert deep learning models into graph structures",  # 包的简短描述
    long_description=open("README.md", "r", encoding="utf-8").read(),  # 从README.md中读取包的详细描述
    long_description_content_type="text/markdown",  # 描述文件的格式
    url="https://github.com/odymit/model2graph",  # 项目的主页或者代码仓库地址
    packages=find_packages(),  # 仅打包 backdoormbti 目录及其子目录
    classifiers=[
        "Programming Language :: Python :: 3.11",  # 兼容的Python版本
        "License :: OSI Approved :: MIT License",  # 许可证类型
        "Operating System :: POSIX :: Linux",  # 操作系统兼容性
    ],
    python_requires=">3.10",  # 需要的最低Python版本
    install_requires=[  # 项目的依赖包列表
        "alabaster==0.7.13",
        "annotated-types==0.6.0",
        "asttokens==2.4.1",
        "autopep8==2.0.4",
        "Babel==2.13.1",
        "certifi==2023.11.17",
        "charset-normalizer==3.3.2",
        "click==8.1.7",
        "cmake==3.27.7",
        "decorator==5.1.1",
        "dglgo==0.0.2",
        "docutils==0.20.1",
        "executing==2.0.1",
        "filelock==3.13.1",
        "idna==3.6",
        "imagesize==1.4.1",
        "ipython==8.18.1",
        "isort==5.12.0",
        "jedi==0.19.1",
        "Jinja2==3.1.2",
        "joblib==1.3.2",
        "lit==17.0.6",
        "littleutils==0.2.2",
        "MarkupSafe==2.1.3",
        "matplotlib-inline==0.1.6",
        "mpmath==1.3.0",
        "networkx==3.2.1",
        "numpy==1.26.2",
        "numpydoc==1.6.0",
        "ogb==1.3.6",
        "outdated==0.2.2",
        "packaging==23.2",
        "pandas==2.1.3",
        "parso==0.8.3",
        "pexpect==4.9.0",
        "Pillow==10.1.0",
        "prompt-toolkit==3.0.41",
        "psutil==5.9.6",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "pycodestyle==2.11.1",
        "pydantic==2.5.2",
        "pydantic_core==2.14.5",
        "Pygments==2.17.2",
        "pyparsing==3.1.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3.post1",
        "PyYAML==6.0.1",
        "rdkit-pypi==2022.9.5",
        "requests==2.31.0",
        "ruamel.yaml==0.18.5",
        "ruamel.yaml.clib==0.2.8",
        "scikit-learn==1.3.2",
        "scipy==1.11.4",
        "six==1.16.0",
        "snowballstemmer==2.2.0",
        "Sphinx==7.2.6",
        "sphinxcontrib-applehelp==1.0.7",
        "sphinxcontrib-devhelp==1.0.5",
        "sphinxcontrib-htmlhelp==2.0.4",
        "sphinxcontrib-jsmath==1.0.1",
        "sphinxcontrib-qthelp==1.0.6",
        "sphinxcontrib-serializinghtml==1.1.9",
        "stack-data==0.6.3",
        "sympy==1.12",
        "tabulate==0.9.0",
        "threadpoolctl==3.2.0",
        "torch==2.0.0",
        "torch_geometric==2.4.0",
        "torchvision==0.15.1",
        "tqdm==4.66.1",
        "traitlets==5.14.0",
        "triton==2.0.0",
        "typer==0.9.0",
        "typing_extensions==4.8.0",
        "tzdata==2023.3",
        "urllib3==2.1.0",
        "wcwidth==0.2.12",
    ],
    include_package_data=True,
)
